Subject: RE: Last Call: Support for IPv6 in SDP to Proposed Standard

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Thu, 31 Jan 2002 09:05:27 +0100

I think Gonzalo already answered this. 
Further clarifications are below, but 
we might be getting off-topic for this draft.

   > (this way the receiving IPv6 node can decide the mechanism 
  > >   > to reach the 
  > >   > IPv4-address; that is, if u= can contain either IPv4 or 
  > >   > IPv6 address)
  > 
  > I'll restate this: this depends on the definition of u=.
  > 
  > If 'u' can have:
  >  1) only IPv6 addresses, using mapped address is fine
  >  2) either iPv6 or IPv4 address, IMO IPv4 should be used 
  > when _sending_ 
  > the packet

=> See below.

  > 
  > We're arguing about point 2).  My point is that if address 
  > can be either,
  > some nodes [a dual stack] can receive values with u=[ipv4] 
  > _anyway_, and
  > must be able to cope with them.

=> I was not conerned about dual stacked nodes,
they'll obviously understand. Some systems
require IPv6 only though, Others might prefer
to run IPv6 only for simplicity, so you shouldn't 
assume dual stacks all the time.

Hesham
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------